## EvDocumentFind EvDocumentFind |

## Functions

GList * | ev_document_find_find_text ()
GList * | ev_document_find_find_text_with_options ()
EvFindOptions | ev_document_find_get_supported_options ()

## Types and Values

| EvDocumentFind
struct | EvDocumentFindInterface
enum | EvFindOptions

## Object Hierarchy

        GFlags
        ╰── EvFindOptions
        GInterface
        ╰── EvDocumentFind

## Description

## Functions

### ev_document_find_find_text ()

    GList *
    ev_document_find_find_text (EvDocumentFind *document_find,
                                EvPage *page,
                                const gchar *text,
                                gboolean case_sensitive);

#### Parameters

document_find | an EvDocumentFind |
page | an EvPage |
text | text to find |
case_sensitive | whether to match the string case |

#### Returns

a list of results.

[transfer full][element-type EvRectangle]

### ev_document_find_find_text_with_options ()

    GList *
    ev_document_find_find_text_with_options
                                   (EvDocumentFind *document_find,
                                    EvPage *page,
                                    const gchar *text,
                                    EvFindOptions options);

#### Parameters

document_find | an EvDocumentFind |
page | an EvPage |
text | text to find |
options | a set of EvFindOptions |

#### Returns

a list of results.

[transfer full][element-type EvRectangle]

### ev_document_find_get_supported_options ()

    EvFindOptions
    ev_document_find_get_supported_options
                                   (EvDocumentFind *document_find);

## Types and Values

### EvDocumentFind

    typedef struct _EvDocumentFind EvDocumentFind;

### struct EvDocumentFindInterface

    struct EvDocumentFindInterface {
    	GTypeInterface base_iface;

            /* Methods */
    	GList 	     *(* find_text)              (EvDocumentFind *document_find,
    						  EvPage         *page,
    						  const gchar    *text,
    						  gboolean        case_sensitive);
    	GList        *(* find_text_with_options) (EvDocumentFind *document_find,
    						  EvPage         *page,
    						  const gchar    *text,
    						  EvFindOptions   options);
    	EvFindOptions (*get_supported_options)   (EvDocumentFind *document_find);
    };

### enum EvFindOptions

#### Members

EV_FIND_DEFAULT |  |
EV_FIND_CASE_SENSITIVE |  |
EV_FIND_WHOLE_WORDS_ONLY |  |